<?php
/*
* Schnittstelle Moodle-Adobe Connect
* 
* @copyright eLearning @ Fachhochschule Lbeck
* @author oncampus support@oncampus.de
* @version 1.0
* 
* dieses Beispiel darf frei verwendet werden mit Hinweis auf den Urheber
* der Einsatz dieser Software besteht auf eigene Gefahr
* die FH Lbeck haftet fr keine Schaeden
*/

/**
 * This class is designed to show a link 
 * to  Adobe Connect and a helppage
 *
 * original author Dirk Winning
 * modified by Marc Vorreiter vorreiter@oncampus.de language support
 */
class block_webkonf extends block_list 
{
    function init()    
    {
		$this->title = get_string('blockname', 'block_webkonf');
        $this->version = 2008080802;
    }
    
    function get_content()
    {
    	global $CFG, $USER, $course;
    	
		if($this->content !== NULL) 
		{
	    	return $this->content;
	    }
	    $this->content = new stdClass;
    	$this->content->items = array();
    	$this->content->icons = '';
    	$this->content->footer = '';


	    $this->content->items[] = '<a style="margin-top:4px;margin-bottom:-10px;text-align:center;" href="'.$CFG->wwwroot.'/acenter.php?uid='.$USER->idnumber.'&room='.$course->idnumber.'" target="_blank"><img border="0" src="'.$CFG->wwwroot.'/blocks/webkonf/conf.gif"></a>';
	    $this->content->items[] = '<a style="margin-bottom:-10px;text-align:center;" href="http://wiki.oncampus.de/adobe_connect" target="_blank"><img border="0" src="'.$CFG->wwwroot.'/blocks/webkonf/help.gif"></a>';
		$this->content->items[] = '<a style="margin-bottom:-10px;text-align:center;" href="'.$CFG->wwwroot.'/blocks/webkonf/recordlist.php?id='.$course->id.'" ><img border="0" src="'.$CFG->wwwroot.'/blocks/webkonf/videoarchiv.gif"></a>';


    	return $this->content;
    }
    
    function applicable_formats() 
    {
    	return array('course-view' => true);
	}
}
?>