<?php
/*
* Schnittstelle Moodle-Adobe Connect
* 
* @copyright eLearning @ Fachhochschule Lbeck
* @author oncampus support@oncampus.de
* @version 1.0
* 
* dieses Beispiel darf frei verwendet werden mit Hinweis auf den Urheber
* der Einsatz dieser Software besteht auf eigene Gefahr
* die FH Lbeck haftet fr keine Schaeden
*/

// enter connect room
require_once('AC/acoclib.php');

function acGet_sess($uid) {
	global $ac_host, $ac_port, $ac_xuserid;
	$fp = fsockopen($ac_host, $ac_port);
	if (!$fp) {
		// Socket kann nicht geoeffnet werden
		acLog( "error sockopen ".__FUNCTION__);
		return false;
	}
	$url = '/api/xml?action=login&external-auth=use';
	fputs($fp, "GET ".$url." HTTP/1.0\r\n$ac_xuserid:$uid\r\nHost: $ac_host\r\n\r\n");
	$sessionid = false;
	// log first line of header
	$logging = "ac_enter login:".fgets($fp);
	while($line = fgets($fp)) {
		// get breeze-session-cookie
		if (preg_match('/BREEZESESSION=(.*)\;/U', $line, $result)) {
			$sessionid = $result[1];
			break;
		} else {
			$logging .= $line;
		}
  	}
	fclose($fp);
	// write log
	if ( !$sessionid ) {
		acLog( $logging );
	}
	return $sessionid;
}

global $ac_host;

$room = $_GET['room'];
$room = rawurlencode($room);
$xsid = acGet_session();
$oid = acLookup_room($xsid, $room);
$usid = acGet_sess($_GET['uid']);
$url = acLookup_roomURL($usid, $oid);
header("location:http://$ac_host/$url?session=$usid");
?>
