<?php
/*
* Schnittstelle Moodle-Adobe Connect
* 
* @copyright eLearning @ Fachhochschule Lbeck
* @author oncampus support@oncampus.de
* @version 1.0
* 
* dieses Beispiel darf frei verwendet werden mit Hinweis auf den Urheber
* der Einsatz dieser Software besteht auf eigene Gefahr
* die FH Lbeck haftet fr keine Schaeden
*/

require_once('../../AC/acoclib.php');

function acGet_sess($uid) 
	{
	global $ac_host, $ac_port, $ac_xuserid;
	$fp = fsockopen($ac_host, $ac_port);
  	if (!$fp) 
  	{
		// Socket kann nicht geoeffnet werden
		acLog( "error sockopen ".__FUNCTION__);
		return false;
	}
	$url = '/api/xml?action=login&external-auth=use';
	fputs($fp, "GET ".$url." HTTP/1.0\r\n$ac_xuserid:$uid\r\nHost: $ac_host\r\n\r\n");
	$sessionid = false;
	// erste Zeile des Headers loggen
	$logging = "ac_enter login:".fgets($fp);
	while($line = fgets($fp)) 
		{
		// breeze-session-cookie rausholen
		if (preg_match('/BREEZESESSION=(.*)\;/U', $line, $result))
			{
			$sessionid = $result[1];
			break;
			}
		else
			{
			$logging .= $line;
			}
  		}
  	fclose($fp);
	// log bei Bedarf schreiben
  	if ( !$sessionid )
  		{
		acLog( $logging );
  		}
	return $sessionid;
	}

function acRecordlist($sessionid, $meetingscoid)
	{
	global $ac_host, $ac_port, $ac_meeting_folder_id;
	$fp = fsockopen($ac_host, $ac_port);
  	if (!$fp) 
  		{
		// Socket kann nicht geoeffnet werden
		acLog( "error sockopen ". __FUNCTION__);
		return false;
  		}
	$url = "/api/xml?action=sco-contents&sco-id=$meetingscoid&filter-icon=archive&session=$sessionid";
	fputs($fp, "GET ".$url." HTTP/1.0\r\nHost: $ac_host\r\n\r\n");
	$result="";
	$start=false;
	while($line = fgets($fp))
		{
		if (preg_match('/xml version/i', $line, $found)){$start=true;}
		$line=preg_replace('/url-path/', 'urlpath', $line);
		$line=preg_replace('/date-created/', 'datecreated', $line);
		if ($start==true){  $result=$result.$line;}
		}
	fclose($fp);
	return ($result);
	}
?>
