<?php // $Id: service.php,v 1.1 2008/02/11 08:53:09 winning Exp $

/**
 * Core web services interface script.
 * 
 * All client traffic passes through this script.
 *
 * @package Web Services
 * @version $Id: service.php,v 1.1 2008/02/11 08:53:09 winning Exp $
 * @author Open Knowledge Technologies - http://www.oktech.ca/
 * @author Justin Filip <jfilip@oktech.ca>
 */


    require_once('../config.php');
    

    $type   = required_param('type', PARAM_ALPHANUM);


/// Include protocol-specific server class file.
    $type = strtolower($type);
    $incfile = $CFG->dirroot . '/ws/mdl_' . $type . 'server.class.php';

    if (file_exists($incfile)) {
        require_once($incfile);
    } else {
        die;
    }

/// Initialize server object.
    $srvtype = 'mdl_' . $type . 'server';

    if (!$server = new $srvtype()) {
        error('Attempting to initialize unavaialble service.');
    }

/// Process SOAP request.
    $HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';

    $server->main($HTTP_RAW_POST_DATA);

?>
